/* $Id: bogoconfig.h,v 1.14 2004/02/01 01:47:12 relson Exp $ */

/*****************************************************************************

NAME:
   bogoconfig.h -- prototypes and definitions for bogoconfig.c.

AUTHOR:
   David Relson <relson@osagesoftware.com>

******************************************************************************/

#ifndef BOGOCONFIG_H
#define BOGOCONFIG_H

#include "system.h"

#include <getopt.h>

#include "configfile.h"

/* Global variables */

extern const char *logtag;
extern const char *spam_header_name;
extern const char *user_config_file;

extern void query_config(void) __attribute__ ((noreturn));
extern void process_parameters(int argc, char **argv, bool warn_on_error);

extern struct option long_options[];
extern void process_arg(int option, const char *name, const char *arg, priority_t precedence, arg_pass_t pass);

#endif
